//www.elegoo.com
//2016.12.08
#include <Servo.h>

Servo barrera1a;  // create servo object to control a servo
Servo barrera1b;
// twelve servo objects can be created on most boards

int pos = 0;    // variable to store the servo position

void setup() {
  barrera1a.attach(8);  // attaches the servo on pin 9 to the servo object
  barrera1b.attach(9);  // attaches the servo on pin 9 to the servo object
  barrera1a.write(70);
  barrera1b.write(70);
}

void loop() {
  delay(5000);
  for (pos = 70; pos <= 180; pos += 1) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    barrera1a.write(pos);              // tell servo to go to position in variable 'pos'
    barrera1b.write(pos);
    delay(15);                       // waits 15ms for the servo to reach the position
  }
  delay(5000);
  for (pos = 180; pos >= 70; pos -= 1) { // goes from 180 degrees to 0 degrees
    barrera1a.write(pos);              // tell servo to go to position in variable 'pos'
    barrera1b.write(pos);
    delay(15);                       // waits 15ms for the servo to reach the position
  }
 
}

